Package fr.gouv.vitam.common.server.application.resources

# Class ApplicationStatusResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

Direct Known Subclasses:
  `AccessExternalResource`, `AccessExternalResourceV2`, `AccessInternalResourceImpl`, `AdminManagementExternalResource`, `AdminManagementResource`, `AdminOfferSwiftMigrationResource`, `AdminTapeResource`, `AntivirusResource`, `BatchReportResource`, `CollectExternalResource`, `CollectInternalResource`, `CollectMetadataExternalResource`, `DefaultOfferResource`, `IngestExternalResource`, `IngestInternalResource`, `LogbookResource`, `MetadataResource`, `ProcessManagementResource`, `ProjectExternalResource`, `SchedulerResource`, `StorageResource`, `TapeCatalogResource`, `TransactionExternalResource`, `WebApplicationResource`, `WebApplicationResource`, `WorkerResource`, `WorkspaceResource`

@Path("/") public class ApplicationStatusResource extends Object
Implementation of VitamResources which handle common tasks for all sub-implementation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `STATUS_URL`
  Status for Application resource path
  `static final String`
  `TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationStatusResource()`
  Constructor InternalVitamResources using implicit BasicVitamStatusServiceImpl
  `ApplicationStatusResource(VitamStatusService statusService)`
  Constructor InternalVitamResources

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `getServerTenants()`
  Retrieve all the tenants defined on the plateform
  `jakarta.ws.rs.core.Response`
  `status()`
  Return a response status

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_URL

    public static final String STATUS_URL
    Status for Application resource path
    See Also:
      - Constant Field Values

  - ### TENANTS_URL

    public static final String TENANTS_URL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ApplicationStatusResource

    public ApplicationStatusResource()
    Constructor InternalVitamResources using implicit BasicVitamStatusServiceImpl

  - ### ApplicationStatusResource

    public ApplicationStatusResource(VitamStatusService statusService)
    Constructor InternalVitamResources
    Parameters:
      `statusService` -

- ## Method Details

  - ### status

    @GET @Path("/status") @Produces("application/json") public jakarta.ws.rs.core.Response status()
    Return a response status
    Returns:
      Response containing the status of the service

  - ### getServerTenants

    @GET @Path("/tenants") @Produces("application/json") public jakarta.ws.rs.core.Response getServerTenants()
    Retrieve all the tenants defined on the plateform
    Returns:
      Response containing a list of tenants as string